package com.sanmang.service;

import com.sanmang.util.MyVideoUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.File;
import java.io.FilenameFilter;
import java.io.IOException;

/**
 * 视频处理功能
 */
public class VideoService {
    private Logger logger = LoggerFactory.getLogger(VideoService.class);

    public void allInDir(String dir) throws IOException, InterruptedException {
        File file = new File(dir);
        String[] list = file.list(new FilenameFilter() {
            @Override
            public boolean accept(File dir, String name) {
                return name.endsWith(".mp4") || name.endsWith(".flv");
            }
        });
        if (list == null)
            return;
        for (String fileName : list) {
            logger.info("processing file: {}", fileName);
//            MyVideoUtils.toHLS(dir, fileName);
            MyVideoUtils.snapshot(dir, fileName);
        }
    }
}
